ChangeSet 1.850.1.6, 2002/10/30 00:02:56-08:00, greg@kroah.com

USB: drivers/usb fixups due to USB structure changes.


diff -Nru a/drivers/usb/image/microtek.c b/drivers/usb/image/microtek.c
--- a/drivers/usb/image/microtek.c	Wed Oct 30 09:43:50 2002
+++ b/drivers/usb/image/microtek.c	Wed Oct 30 09:43:50 2002
@@ -914,7 +914,7 @@
 		return -ENODEV;
 	}
 
-	result = usb_set_interface(dev, altsetting->bInterfaceNumber, 0);
+	result = usb_set_interface(dev, altsetting->desc.bInterfaceNumber, 0);
 
 	MTS_DEBUG("usb_set_interface returned %d.\n",result);
 	switch( result )
diff -Nru a/drivers/usb/media/stv680.c b/drivers/usb/media/stv680.c
--- a/drivers/usb/media/stv680.c	Wed Oct 30 09:43:50 2002
+++ b/drivers/usb/media/stv680.c	Wed Oct 30 09:43:50 2002
@@ -1451,7 +1451,7 @@
 static int stv680_probe (struct usb_interface *intf, const struct usb_device_id *id)
 {
 	struct usb_device *dev = interface_to_usbdev(intf);
-	struct usb_interface_descriptor *interface;
+	struct usb_host_interface *interface;
 	struct usb_stv *stv680;
 	char *camera_name = NULL;
 
diff -Nru a/drivers/usb/misc/speedtouch.c b/drivers/usb/misc/speedtouch.c
--- a/drivers/usb/misc/speedtouch.c	Wed Oct 30 09:43:50 2002
+++ b/drivers/usb/misc/speedtouch.c	Wed Oct 30 09:43:50 2002
@@ -917,7 +917,7 @@
 static int udsl_usb_probe (struct usb_interface *intf, const struct usb_device_id *id)
 {
 	struct usb_device *dev = interface_to_usbdev(intf);
-	int ifnum = intf->altsetting->bInterfaceNumber;
+	int ifnum = intf->altsetting->desc.bInterfaceNumber;
 	int i;
 	unsigned char mac[6];
 	unsigned char mac_str[13];
diff -Nru a/drivers/usb/misc/uss720.c b/drivers/usb/misc/uss720.c
--- a/drivers/usb/misc/uss720.c	Wed Oct 30 09:43:50 2002
+++ b/drivers/usb/misc/uss720.c	Wed Oct 30 09:43:50 2002
@@ -549,8 +549,8 @@
 			const struct usb_device_id *id)
 {
 	struct usb_device *usbdev = interface_to_usbdev(intf);
-	struct usb_interface_descriptor *interface;
-	struct usb_endpoint_descriptor *endpoint;
+	struct usb_host_interface *interface;
+	struct usb_host_endpoint *endpoint;
 	struct parport_uss720_private *priv;
 	struct parport *pp;
 	int i;
@@ -562,7 +562,7 @@
 	if (intf->num_altsetting != 3)
 		return -ENODEV;
 
-	i = usb_set_interface(usbdev, intf->altsetting->bInterfaceNumber, 2);
+	i = usb_set_interface(usbdev, intf->altsetting->desc.bInterfaceNumber, 2);
 	printk(KERN_DEBUG "uss720: set inteface result %d\n", i);
 
 	interface = &intf->altsetting[2];
@@ -593,7 +593,7 @@
 	       priv->reg[0], priv->reg[1], priv->reg[2], priv->reg[3], priv->reg[4], priv->reg[5], priv->reg[6]);
 
 	endpoint = &interface->endpoint[2];
-	printk(KERN_DEBUG "uss720: epaddr %d interval %d\n", endpoint->bEndpointAddress, endpoint->bInterval);
+	printk(KERN_DEBUG "uss720: epaddr %d interval %d\n", endpoint->desc.bEndpointAddress, endpoint->desc.bInterval);
 #if 0
 	priv->irqpipe = usb_rcvctrlpipe(usbdev, endpoint->bEndpointAddress);
 	i = usb_request_irq(usbdev, priv->irqpipe,
